org.jfree.chart.renderer

## Interface PolarItemRenderer

All Known Implementing Classes:
  DefaultPolarItemRenderer

    public interface PolarItemRenderer

The interface for a renderer that can be used by the `PolarPlot` class.

### Method Summary

Methods
`void` `addChangeListener(RendererChangeListener listener)` Adds a change listener.
`void` `drawAngularGridLines(java.awt.Graphics2D g2, PolarPlot plot, java.util.List ticks, java.awt.geom.Rectangle2D dataArea)` Draw the angular gridlines - the spokes.
`void` `drawRadialGridLines(java.awt.Graphics2D g2, PolarPlot plot, ValueAxis radialAxis, java.util.List ticks, java.awt.geom.Rectangle2D dataArea)` Draw the radial gridlines - the rings.
`void` `drawSeries(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, PlotRenderingInfo info, PolarPlot plot, XYDataset dataset, int seriesIndex)` Plots the data for a given series.
`XYToolTipGenerator` `getBaseToolTipGenerator()` Returns the base tool tip generator.
`LegendItem` `getLegendItem(int series)` Return the legend for the given series.
`PolarPlot` `getPlot()` Returns the plot that this renderer has been assigned to.
`XYToolTipGenerator` `getSeriesToolTipGenerator(int series)` Returns the tool tip generator for a series.
`XYToolTipGenerator` `getToolTipGenerator(int row, int column)` Returns the tool tip generator for a data item.
`XYURLGenerator` `getURLGenerator()` Returns the URL generator for HTML image maps.
`void` `removeChangeListener(RendererChangeListener listener)` Removes a change listener.
`void` `setBaseToolTipGenerator(XYToolTipGenerator generator)` Sets the base tool tip generator and sends a `RendererChangeEvent` to all registered listeners.
`void` `setPlot(PolarPlot plot)` Sets the plot that this renderer is assigned to.
`void` `setSeriesToolTipGenerator(int series, XYToolTipGenerator generator)` Sets the tool tip generator for a series and sends a `RendererChangeEvent` to all registered listeners.
`void` `setURLGenerator(XYURLGenerator urlGenerator)` Sets the URL generator for HTML image maps.

### Method Detail

#### drawSeries

    void drawSeries(java.awt.Graphics2D g2,
                  java.awt.geom.Rectangle2D dataArea,
                  PlotRenderingInfo info,
                  PolarPlot plot,
                  XYDataset dataset,
                  int seriesIndex)

Plots the data for a given series.

Parameters:
  `g2` - the drawing surface.
  `dataArea` - the data area.
  `info` - collects plot rendering info.
  `plot` - the plot.
  `dataset` - the dataset.
  `seriesIndex` - the series index.

#### drawAngularGridLines

    void drawAngularGridLines(java.awt.Graphics2D g2,
                            PolarPlot plot,
                            java.util.List ticks,
                            java.awt.geom.Rectangle2D dataArea)

Draw the angular gridlines - the spokes.

Parameters:
  `g2` - the drawing surface.
  `plot` - the plot.
  `ticks` - the ticks.
  `dataArea` - the data area.

#### drawRadialGridLines

    void drawRadialGridLines(java.awt.Graphics2D g2,
                           PolarPlot plot,
                           ValueAxis radialAxis,
                           java.util.List ticks,
                           java.awt.geom.Rectangle2D dataArea)

Draw the radial gridlines - the rings.

Parameters:
  `g2` - the drawing surface.
  `plot` - the plot.
  `radialAxis` - the radial axis.
  `ticks` - the ticks.
  `dataArea` - the data area.

#### getLegendItem

    LegendItem getLegendItem(int series)

Return the legend for the given series.

Parameters:
  `series` - the series index.
Returns:
  The legend item.

#### getPlot

    PolarPlot getPlot()

Returns the plot that this renderer has been assigned to.

Returns:
  The plot.

#### setPlot

    void setPlot(PolarPlot plot)

Sets the plot that this renderer is assigned to. This method will be called by the plot class...you do not need to call it yourself.

Parameters:
  `plot` - the plot.

#### addChangeListener

    void addChangeListener(RendererChangeListener listener)

Adds a change listener.

Parameters:
  `listener` - the listener.

#### removeChangeListener

    void removeChangeListener(RendererChangeListener listener)

Removes a change listener.

Parameters:
  `listener` - the listener.

#### getToolTipGenerator

    XYToolTipGenerator getToolTipGenerator(int row,
                                         int column)

Returns the tool tip generator for a data item.

Parameters:
  `row` - the row index (zero based).
  `column` - the column index (zero based).
Returns:
  The generator (possibly `null`).
Since:
  1.0.14

#### getSeriesToolTipGenerator

    XYToolTipGenerator getSeriesToolTipGenerator(int series)

Returns the tool tip generator for a series.

Parameters:
  `series` - the series index (zero based).
Returns:
  The generator (possibly `null`).
Since:
  1.0.14
See Also:
  `setSeriesToolTipGenerator(int, XYToolTipGenerator)`

#### setSeriesToolTipGenerator

    void setSeriesToolTipGenerator(int series,
                                 XYToolTipGenerator generator)

Sets the tool tip generator for a series and sends a `RendererChangeEvent` to all registered listeners.

Parameters:
  `series` - the series index (zero based).
  `generator` - the generator (`null` permitted).
Since:
  1.0.14
See Also:
  `getSeriesToolTipGenerator(int)`

#### getBaseToolTipGenerator

    XYToolTipGenerator getBaseToolTipGenerator()

Returns the base tool tip generator.

Returns:
  The generator (possibly `null`).
Since:
  1.0.14
See Also:
  `setBaseToolTipGenerator(XYToolTipGenerator)`

#### setBaseToolTipGenerator

    void setBaseToolTipGenerator(XYToolTipGenerator generator)

Sets the base tool tip generator and sends a `RendererChangeEvent` to all registered listeners.

Parameters:
  `generator` - the generator (`null` permitted).
Since:
  1.0.14
See Also:
  `getBaseToolTipGenerator()`

#### getURLGenerator

    XYURLGenerator getURLGenerator()

Returns the URL generator for HTML image maps.

Returns:
  The URL generator (possibly null).
Since:
  1.0.14

#### setURLGenerator

    void setURLGenerator(XYURLGenerator urlGenerator)

Sets the URL generator for HTML image maps.

Parameters:
  `urlGenerator` - the URL generator (null permitted).
Since:
  1.0.14